/*!
 * \file ofdmMaps.c
 * \brief Карты индексов ячеек потоков NAVDAT
 *
 * файл сгенерирован в MatLab
 */

#include "common.h"

static Int8_t idxPilots_0[] = {-101, -95, -89, -83, -77, -71, -65, -59, -53, -47, -41, -35, -29, -23, -17, -11, -5, 1, 7, 13, 14, 16, 18, 19, 20, 24, 25, 26, 31, 32, 36, 37, 42, 43, 44, 48, 49, 50, 54, 55, 56, 61, 62, 64, 66, 67, 68, 73, 79, 85, 91, 97, 103};
static Int8_t idxPilots_1[] = {-99, -93, -87, -81, -75, -69, -63, -57, -51, -45, -39, -33, -27, -21, -15, -9, -3, 3, 9, 15, 16, 21, 27, 33, 39, 45, 48, 51, 57, 63, 64, 69, 75, 81, 87, 93, 99};
static Int8_t idxPilots_2[] = {-103, -97, -91, -85, -79, -73, -67, -61, -55, -49, -43, -37, -31, -25, -19, -13, -7, -1, 5, 11, 16, 17, 23, 29, 35, 41, 47, 48, 53, 59, 64, 65, 71, 77, 83, 89, 95, 101};
static Int8_t idxPilots_3[] = {-101, -95, -89, -83, -77, -71, -65, -59, -53, -47, -41, -35, -29, -23, -17, -11, -5, 1, 7, 13, 16, 19, 25, 31, 37, 43, 48, 49, 55, 61, 64, 67, 73, 79, 85, 91, 97, 103};
static Int8_t idxPilots_4[] = {-99, -93, -87, -81, -75, -69, -63, -57, -51, -45, -39, -33, -27, -21, -15, -9, -3, 3, 9, 15, 16, 21, 27, 33, 39, 45, 48, 51, 57, 63, 64, 69, 75, 81, 87, 93, 99};
static Int8_t idxPilots_5[] = {-103, -97, -91, -85, -79, -73, -67, -61, -55, -49, -43, -37, -31, -25, -19, -13, -7, -1, 5, 11, 16, 17, 23, 29, 35, 41, 47, 48, 53, 59, 64, 65, 71, 77, 83, 89, 95, 101};
static Int8_t idxPilots_6[] = {-101, -95, -89, -83, -77, -71, -65, -59, -53, -47, -41, -35, -29, -23, -17, -11, -5, 1, 7, 13, 16, 19, 25, 31, 37, 43, 48, 49, 55, 61, 64, 67, 73, 79, 85, 91, 97, 103};
static Int8_t idxPilots_7[] = {-99, -93, -87, -81, -75, -69, -63, -57, -51, -45, -39, -33, -27, -21, -15, -9, -3, 3, 9, 15, 16, 21, 27, 33, 39, 45, 48, 51, 57, 63, 64, 69, 75, 81, 87, 93, 99};
static Int8_t idxPilots_8[] = {-103, -97, -91, -85, -79, -73, -67, -61, -55, -49, -43, -37, -31, -25, -19, -13, -7, -1, 5, 11, 16, 17, 23, 29, 35, 41, 47, 48, 53, 59, 64, 65, 71, 77, 83, 89, 95, 101};
static Int8_t idxPilots_9[] = {-101, -95, -89, -83, -77, -71, -65, -59, -53, -47, -41, -35, -29, -23, -17, -11, -5, 1, 7, 13, 16, 19, 25, 31, 37, 43, 48, 49, 55, 61, 64, 67, 73, 79, 85, 91, 97, 103};
static Int8_t idxPilots_10[] = {-99, -93, -87, -81, -75, -69, -63, -57, -51, -45, -39, -33, -27, -21, -15, -9, -3, 3, 9, 15, 16, 21, 27, 33, 39, 45, 48, 51, 57, 63, 64, 69, 75, 81, 87, 93, 99};
static Int8_t idxPilots_11[] = {-103, -97, -91, -85, -79, -73, -67, -61, -55, -49, -43, -37, -31, -25, -19, -13, -7, -1, 5, 11, 16, 17, 23, 29, 35, 41, 47, 48, 53, 59, 64, 65, 71, 77, 83, 89, 95, 101};
static Int8_t idxPilots_12[] = {-101, -95, -89, -83, -77, -71, -65, -59, -53, -47, -41, -35, -29, -23, -17, -11, -5, 1, 7, 13, 16, 19, 25, 31, 37, 43, 48, 49, 55, 61, 64, 67, 73, 79, 85, 91, 97, 103};
static Int8_t idxPilots_13[] = {-99, -93, -87, -81, -75, -69, -63, -57, -51, -45, -39, -33, -27, -21, -15, -9, -3, 3, 9, 15, 16, 21, 27, 33, 39, 45, 48, 51, 57, 63, 64, 69, 75, 81, 87, 93, 99};
static Int8_t idxPilots_14[] = {-103, -97, -91, -85, -79, -73, -67, -61, -55, -49, -43, -37, -31, -25, -19, -13, -7, -1, 5, 11, 16, 17, 23, 29, 35, 41, 47, 48, 53, 59, 64, 65, 71, 77, 83, 89, 95, 101};

static Int8_t idxMIS_2[] = {13, 25, 43, 55, 67};
static Int8_t idxMIS_3[] = {15, 27, 45, 57, 69};
static Int8_t idxMIS_4[] = {17, 29, 47, 59, 71};
static Int8_t idxMIS_5[] = {19, 31, 49, 61, 73};
static Int8_t idxMIS_6[] = {9, 21, 33, 51, 63, 75};
static Int8_t idxMIS_7[] = {11, 23, 35, 53, 65, 77};
static Int8_t idxMIS_8[] = {13, 25, 37, 55, 67, 79};
static Int8_t idxMIS_9[] = {15, 27, 39, 57, 69, 81};
static Int8_t idxMIS_10[] = {17, 29, 41, 59, 71, 83};
static Int8_t idxMIS_11[] = {19, 31, 43, 61, 73};
static Int8_t idxMIS_12[] = {21, 33, 45, 63, 75};
static Int8_t idxMIS_13[] = {23, 35, 47, 65, 77};

static Int8_t idxTIS_0[] = {-103, -102, -100, -99, -98, -97, -96, -94, -93, -92, -91, -90, -88, -87, -86, -85, -84, -82, -81, -80, -79, -78, -76, -75, -74, -73, -72, -70, -69, -68, -67, -66, -64, -63, -62, -61, -60, -58, -57, -56, -55, -54, -52, -51, -50, -49, -48, -46, -45, -44, -43, -42, -40, -39, -38, -37, -36, -34, -33, -32, -31, -30, -28, -27, -26, -25, -24, -22, -21, -20, -19, -18, -16, -15, -14, -13, -12, -10, -9, -8, -7, -6, -4, -3, -2, -1, 0, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 15, 17, 21, 22, 23, 27, 28, 29, 30, 33, 34, 35, 38, 39, 40, 41, 45, 46, 47, 51, 52, 53, 57, 58, 59, 60, 63, 65, 69, 70, 71, 72, 74, 75, 76, 77, 78, 80, 81, 82, 83, 84, 86, 87, 88, 89, 90, 92, 93, 94, 95, 96, 98, 99, 100, 101, 102};
static Int8_t idxTIS_1[] = {-103, -102, -101, -100, -98, -97, -96, -95, -94, -92, -91, -90, -89, -88, -86, -85, -84, -83, -82, -80, -79, -78, -77, -76, -74, -73, -72, -71, -70, -68, -67, -66, -65, -64, -62, -61, -60, -59, -58, -56, -55, -54, -53, -52, -50, -49, -48, -47, -46, -44, -43, -42, -41, -40, -38, -37, -36, -35, -34, -32, -31, -30, -29, -28, -26, -25, -24, -23, -22, -20, -19, -18, -17, -16, -14, -13, -12, -11, -10, -8, -7, -6, -5, -4, -2, -1, 0, 1, 2, 4, 5, 6, 7, 8, 10, 11, 12, 13, 14, 17, 18, 19, 20, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32, 34, 35, 36, 37, 38, 40, 41, 42, 43, 44, 46, 47, 49, 50, 52, 53, 54, 55, 56, 58, 59, 60, 61, 62, 65, 66, 67, 68, 70, 71, 72, 73, 74, 76, 77, 78, 79, 80, 82, 83, 84, 85, 86, 88, 89, 90, 91, 92, 94, 95, 96, 97, 98, 100, 101, 102, 103};

static Int8_t idxDS_2[] = {-102, -101, -100, -99, -98, -96, -95, -94, -93, -92, -90, -89, -88, -87, -86, -84, -83, -82, -81, -80, -78, -77, -76, -75, -74, -72, -71, -70, -69, -68, -66, -65, -64, -63, -62, -60, -59, -58, -57, -56, -54, -53, -52, -51, -50, -48, -47, -46, -45, -44, -42, -41, -40, -39, -38, -36, -35, -34, -33, -32, -30, -29, -28, -27, -26, -24, -23, -22, -21, -20, -18, -17, -16, -15, -14, -12, -11, -10, -9, -8, -6, -5, -4, -3, -2, 0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 14, 15, 18, 19, 20, 21, 22, 24, 26, 27, 28, 30, 31, 32, 33, 34, 36, 37, 38, 39, 40, 42, 44, 45, 46, 49, 50, 51, 52, 54, 56, 57, 58, 60, 61, 62, 63, 66, 68, 69, 70, 72, 73, 74, 75, 76, 78, 79, 80, 81, 82, 84, 85, 86, 87, 88, 90, 91, 92, 93, 94, 96, 97, 98, 99, 100, 102, 103};
static Int8_t idxDS_3[] = {-103, -102, -100, -99, -98, -97, -96, -94, -93, -92, -91, -90, -88, -87, -86, -85, -84, -82, -81, -80, -79, -78, -76, -75, -74, -73, -72, -70, -69, -68, -67, -66, -64, -63, -62, -61, -60, -58, -57, -56, -55, -54, -52, -51, -50, -49, -48, -46, -45, -44, -43, -42, -40, -39, -38, -37, -36, -34, -33, -32, -31, -30, -28, -27, -26, -25, -24, -22, -21, -20, -19, -18, -16, -15, -14, -13, -12, -10, -9, -8, -7, -6, -4, -3, -2, -1, 0, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 17, 18, 20, 21, 22, 23, 24, 26, 28, 29, 30, 32, 33, 34, 35, 36, 38, 39, 40, 41, 42, 44, 46, 47, 50, 51, 52, 53, 54, 56, 58, 59, 60, 62, 63, 65, 66, 68, 70, 71, 72, 74, 75, 76, 77, 78, 80, 81, 82, 83, 84, 86, 87, 88, 89, 90, 92, 93, 94, 95, 96, 98, 99, 100, 101, 102};
static Int8_t idxDS_4[] = {-103, -102, -101, -100, -98, -97, -96, -95, -94, -92, -91, -90, -89, -88, -86, -85, -84, -83, -82, -80, -79, -78, -77, -76, -74, -73, -72, -71, -70, -68, -67, -66, -65, -64, -62, -61, -60, -59, -58, -56, -55, -54, -53, -52, -50, -49, -48, -47, -46, -44, -43, -42, -41, -40, -38, -37, -36, -35, -34, -32, -31, -30, -29, -28, -26, -25, -24, -23, -22, -20, -19, -18, -17, -16, -14, -13, -12, -11, -10, -8, -7, -6, -5, -4, -2, -1, 0, 1, 2, 4, 5, 6, 7, 8, 10, 11, 12, 13, 14, 18, 19, 20, 22, 23, 24, 25, 26, 28, 30, 31, 32, 34, 35, 36, 37, 38, 40, 41, 42, 43, 44, 46, 49, 50, 52, 53, 54, 55, 56, 58, 60, 61, 62, 65, 66, 67, 68, 70, 72, 73, 74, 76, 77, 78, 79, 80, 82, 83, 84, 85, 86, 88, 89, 90, 91, 92, 94, 95, 96, 97, 98, 100, 101, 102, 103};
static Int8_t idxDS_5[] = {-102, -101, -100, -99, -98, -96, -95, -94, -93, -92, -90, -89, -88, -87, -86, -84, -83, -82, -81, -80, -78, -77, -76, -75, -74, -72, -71, -70, -69, -68, -66, -65, -64, -63, -62, -60, -59, -58, -57, -56, -54, -53, -52, -51, -50, -48, -47, -46, -45, -44, -42, -41, -40, -39, -38, -36, -35, -34, -33, -32, -30, -29, -28, -27, -26, -24, -23, -22, -21, -20, -18, -17, -16, -15, -14, -12, -11, -10, -9, -8, -6, -5, -4, -3, -2, 0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 13, 14, 15, 18, 20, 21, 22, 24, 25, 26, 27, 28, 30, 32, 33, 34, 36, 37, 38, 39, 40, 42, 43, 44, 45, 46, 50, 51, 52, 54, 55, 56, 57, 58, 60, 62, 63, 66, 67, 68, 69, 70, 72, 74, 75, 76, 78, 79, 80, 81, 82, 84, 85, 86, 87, 88, 90, 91, 92, 93, 94, 96, 97, 98, 99, 100, 102, 103};
static Int8_t idxDS_6[] = {-103, -102, -100, -99, -98, -97, -96, -94, -93, -92, -91, -90, -88, -87, -86, -85, -84, -82, -81, -80, -79, -78, -76, -75, -74, -73, -72, -70, -69, -68, -67, -66, -64, -63, -62, -61, -60, -58, -57, -56, -55, -54, -52, -51, -50, -49, -48, -46, -45, -44, -43, -42, -40, -39, -38, -37, -36, -34, -33, -32, -31, -30, -28, -27, -26, -25, -24, -22, -21, -20, -19, -18, -16, -15, -14, -13, -12, -10, -9, -8, -7, -6, -4, -3, -2, -1, 0, 2, 3, 4, 5, 6, 8, 10, 11, 12, 14, 15, 17, 18, 20, 22, 23, 24, 26, 27, 28, 29, 30, 32, 34, 35, 36, 38, 39, 40, 41, 42, 44, 45, 46, 47, 50, 52, 53, 54, 56, 57, 58, 59, 60, 62, 65, 66, 68, 69, 70, 71, 72, 74, 76, 77, 78, 80, 81, 82, 83, 84, 86, 87, 88, 89, 90, 92, 93, 94, 95, 96, 98, 99, 100, 101, 102};
static Int8_t idxDS_7[] = {-103, -102, -101, -100, -98, -97, -96, -95, -94, -92, -91, -90, -89, -88, -86, -85, -84, -83, -82, -80, -79, -78, -77, -76, -74, -73, -72, -71, -70, -68, -67, -66, -65, -64, -62, -61, -60, -59, -58, -56, -55, -54, -53, -52, -50, -49, -48, -47, -46, -44, -43, -42, -41, -40, -38, -37, -36, -35, -34, -32, -31, -30, -29, -28, -26, -25, -24, -23, -22, -20, -19, -18, -17, -16, -14, -13, -12, -11, -10, -8, -7, -6, -5, -4, -2, -1, 0, 1, 2, 4, 5, 6, 7, 8, 10, 12, 13, 14, 17, 18, 19, 20, 22, 24, 25, 26, 28, 29, 30, 31, 32, 34, 36, 37, 38, 40, 41, 42, 43, 44, 46, 47, 49, 50, 52, 54, 55, 56, 58, 59, 60, 61, 62, 66, 67, 68, 70, 71, 72, 73, 74, 76, 78, 79, 80, 82, 83, 84, 85, 86, 88, 89, 90, 91, 92, 94, 95, 96, 97, 98, 100, 101, 102, 103};
static Int8_t idxDS_8[] = {-102, -101, -100, -99, -98, -96, -95, -94, -93, -92, -90, -89, -88, -87, -86, -84, -83, -82, -81, -80, -78, -77, -76, -75, -74, -72, -71, -70, -69, -68, -66, -65, -64, -63, -62, -60, -59, -58, -57, -56, -54, -53, -52, -51, -50, -48, -47, -46, -45, -44, -42, -41, -40, -39, -38, -36, -35, -34, -33, -32, -30, -29, -28, -27, -26, -24, -23, -22, -21, -20, -18, -17, -16, -15, -14, -12, -11, -10, -9, -8, -6, -5, -4, -3, -2, 0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 14, 15, 18, 19, 20, 21, 22, 24, 26, 27, 28, 30, 31, 32, 33, 34, 36, 38, 39, 40, 42, 43, 44, 45, 46, 49, 50, 51, 52, 54, 56, 57, 58, 60, 61, 62, 63, 66, 68, 69, 70, 72, 73, 74, 75, 76, 78, 80, 81, 82, 84, 85, 86, 87, 88, 90, 91, 92, 93, 94, 96, 97, 98, 99, 100, 102, 103};
static Int8_t idxDS_9[] = {-103, -102, -100, -99, -98, -97, -96, -94, -93, -92, -91, -90, -88, -87, -86, -85, -84, -82, -81, -80, -79, -78, -76, -75, -74, -73, -72, -70, -69, -68, -67, -66, -64, -63, -62, -61, -60, -58, -57, -56, -55, -54, -52, -51, -50, -49, -48, -46, -45, -44, -43, -42, -40, -39, -38, -37, -36, -34, -33, -32, -31, -30, -28, -27, -26, -25, -24, -22, -21, -20, -19, -18, -16, -15, -14, -13, -12, -10, -9, -8, -7, -6, -4, -3, -2, -1, 0, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 17, 18, 20, 21, 22, 23, 24, 26, 28, 29, 30, 32, 33, 34, 35, 36, 38, 40, 41, 42, 44, 45, 46, 47, 50, 51, 52, 53, 54, 56, 58, 59, 60, 62, 63, 65, 66, 68, 70, 71, 72, 74, 75, 76, 77, 78, 80, 82, 83, 84, 86, 87, 88, 89, 90, 92, 93, 94, 95, 96, 98, 99, 100, 101, 102};
static Int8_t idxDS_10[] = {-103, -102, -101, -100, -98, -97, -96, -95, -94, -92, -91, -90, -89, -88, -86, -85, -84, -83, -82, -80, -79, -78, -77, -76, -74, -73, -72, -71, -70, -68, -67, -66, -65, -64, -62, -61, -60, -59, -58, -56, -55, -54, -53, -52, -50, -49, -48, -47, -46, -44, -43, -42, -41, -40, -38, -37, -36, -35, -34, -32, -31, -30, -29, -28, -26, -25, -24, -23, -22, -20, -19, -18, -17, -16, -14, -13, -12, -11, -10, -8, -7, -6, -5, -4, -2, -1, 0, 1, 2, 4, 5, 6, 7, 8, 10, 11, 12, 13, 14, 18, 19, 20, 22, 23, 24, 25, 26, 28, 30, 31, 32, 34, 35, 36, 37, 38, 40, 42, 43, 44, 46, 47, 49, 50, 52, 53, 54, 55, 56, 58, 60, 61, 62, 65, 66, 67, 68, 70, 72, 73, 74, 76, 77, 78, 79, 80, 82, 84, 85, 86, 88, 89, 90, 91, 92, 94, 95, 96, 97, 98, 100, 101, 102, 103};
static Int8_t idxDS_11[] = {-102, -101, -100, -99, -98, -96, -95, -94, -93, -92, -90, -89, -88, -87, -86, -84, -83, -82, -81, -80, -78, -77, -76, -75, -74, -72, -71, -70, -69, -68, -66, -65, -64, -63, -62, -60, -59, -58, -57, -56, -54, -53, -52, -51, -50, -48, -47, -46, -45, -44, -42, -41, -40, -39, -38, -36, -35, -34, -33, -32, -30, -29, -28, -27, -26, -24, -23, -22, -21, -20, -18, -17, -16, -15, -14, -12, -11, -10, -9, -8, -6, -5, -4, -3, -2, 0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 13, 14, 15, 18, 20, 21, 22, 24, 25, 26, 27, 28, 30, 32, 33, 34, 36, 37, 38, 39, 40, 42, 44, 45, 46, 49, 50, 51, 52, 54, 55, 56, 57, 58, 60, 62, 63, 66, 67, 68, 69, 70, 72, 74, 75, 76, 78, 79, 80, 81, 82, 84, 85, 86, 87, 88, 90, 91, 92, 93, 94, 96, 97, 98, 99, 100, 102, 103};
static Int8_t idxDS_12[] = {-103, -102, -100, -99, -98, -97, -96, -94, -93, -92, -91, -90, -88, -87, -86, -85, -84, -82, -81, -80, -79, -78, -76, -75, -74, -73, -72, -70, -69, -68, -67, -66, -64, -63, -62, -61, -60, -58, -57, -56, -55, -54, -52, -51, -50, -49, -48, -46, -45, -44, -43, -42, -40, -39, -38, -37, -36, -34, -33, -32, -31, -30, -28, -27, -26, -25, -24, -22, -21, -20, -19, -18, -16, -15, -14, -13, -12, -10, -9, -8, -7, -6, -4, -3, -2, -1, 0, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 15, 17, 18, 20, 22, 23, 24, 26, 27, 28, 29, 30, 32, 34, 35, 36, 38, 39, 40, 41, 42, 44, 46, 47, 50, 51, 52, 53, 54, 56, 57, 58, 59, 60, 62, 65, 66, 68, 69, 70, 71, 72, 74, 76, 77, 78, 80, 81, 82, 83, 84, 86, 87, 88, 89, 90, 92, 93, 94, 95, 96, 98, 99, 100, 101, 102};
static Int8_t idxDS_13[] = {-103, -102, -101, -100, -98, -97, -96, -95, -94, -92, -91, -90, -89, -88, -86, -85, -84, -83, -82, -80, -79, -78, -77, -76, -74, -73, -72, -71, -70, -68, -67, -66, -65, -64, -62, -61, -60, -59, -58, -56, -55, -54, -53, -52, -50, -49, -48, -47, -46, -44, -43, -42, -41, -40, -38, -37, -36, -35, -34, -32, -31, -30, -29, -28, -26, -25, -24, -23, -22, -20, -19, -18, -17, -16, -14, -13, -12, -11, -10, -8, -7, -6, -5, -4, -2, -1, 0, 1, 2, 4, 5, 6, 7, 8, 10, 11, 12, 13, 14, 17, 18, 19, 20, 22, 24, 25, 26, 28, 29, 30, 31, 32, 34, 36, 37, 38, 40, 41, 42, 43, 44, 46, 49, 50, 52, 53, 54, 55, 56, 58, 59, 60, 61, 62, 66, 67, 68, 70, 71, 72, 73, 74, 76, 78, 79, 80, 82, 83, 84, 85, 86, 88, 89, 90, 91, 92, 94, 95, 96, 97, 98, 100, 101, 102, 103};
static Int8_t idxDS_14[] = {-102, -101, -100, -99, -98, -96, -95, -94, -93, -92, -90, -89, -88, -87, -86, -84, -83, -82, -81, -80, -78, -77, -76, -75, -74, -72, -71, -70, -69, -68, -66, -65, -64, -63, -62, -60, -59, -58, -57, -56, -54, -53, -52, -51, -50, -48, -47, -46, -45, -44, -42, -41, -40, -39, -38, -36, -35, -34, -33, -32, -30, -29, -28, -27, -26, -24, -23, -22, -21, -20, -18, -17, -16, -15, -14, -12, -11, -10, -9, -8, -6, -5, -4, -3, -2, 0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 12, 13, 14, 15, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 30, 31, 32, 33, 34, 36, 37, 38, 39, 40, 42, 43, 44, 45, 46, 49, 50, 51, 52, 54, 55, 56, 57, 58, 60, 61, 62, 63, 66, 67, 68, 69, 70, 72, 73, 74, 75, 76, 78, 79, 80, 81, 82, 84, 85, 86, 87, 88, 90, 91, 92, 93, 94, 96, 97, 98, 99, 100, 102, 103};

static iqSample_t phPilots_0[] = {{1.514418,-1.306346}, {1.414214,0.000000}, {0.923726,1.070855}, {-0.410525,1.353318}, {-1.403578,0.173115}, {-0.541196,-1.306563}, {1.230489,-0.697063}, {0.666656,1.247225}, {-1.342836,0.443613}, {-0.000000,-1.414214}, {1.263210,0.635846}, {-1.247225,0.666656}, {0.377189,-1.362985}, {0.541196,1.306563}, {-1.114890,-0.870069}, {1.353318,0.410525}, {-1.410382,-0.104036}, {1.414214,0.000000}, {-1.410382,-0.104036}, {1.353318,0.410525}, {-0.410525,1.353318}, {-0.628084,1.267088}, {1.114890,0.870069}, {-1.114890,-0.870069}, {-1.114890,-0.870069}, {0.541196,1.306563}, {0.541196,1.306563}, {-0.541196,-1.306563}, {0.377189,-1.362985}, {1.362985,0.377189}, {-1.247225,0.666656}, {-1.247225,0.666656}, {-1.263210,-0.635846}, {1.263210,0.635846}, {0.635846,-1.263210}, {-0.930279,-1.065167}, {-0.930279,-1.065167}, {-0.930279,-1.065167}, {-1.342836,0.443613}, {-1.342836,0.443613}, {-1.342836,0.443613}, {0.666656,1.247225}, {1.247225,-0.666656}, {-1.365274,-0.368819}, {1.230489,-0.697063}, {1.230489,-0.697063}, {-1.230489,0.697063}, {-0.541196,-1.306563}, {-1.403578,0.173115}, {-0.410525,1.353318}, {0.923726,1.070855}, {1.414214,0.000000}, {1.514418,-1.306346}};
static iqSample_t phPilots_1[] = {{-1.278434,0.604654}, {-0.785695,-1.175876}, {1.278434,-0.604654}, {0.000000,1.414214}, {-1.047863,-0.949728}, {1.387040,0.275899}, {-1.412510,0.069392}, {1.414214,0.000000}, {-1.331544,-0.476434}, {0.785695,1.175876}, {0.476434,-1.331544}, {-1.414214,0.000000}, {0.069392,1.412510}, {1.387040,0.275899}, {0.949728,-1.047863}, {-0.000000,-1.414214}, {-0.604654,-1.278434}, {-0.785695,-1.175876}, {-0.604654,-1.278434}, {-0.000000,-1.414214}, {-0.628084,1.267088}, {0.949728,-1.047863}, {1.387040,0.275899}, {0.069392,1.412510}, {-1.414214,0.000000}, {0.476434,-1.331544}, {-0.930279,-1.065167}, {0.785695,1.175876}, {-1.331544,-0.476434}, {1.414214,0.000000}, {-1.365274,-0.368819}, {-1.412510,0.069392}, {1.387040,0.275899}, {-1.047863,-0.949728}, {0.000000,1.414214}, {1.278434,-0.604654}, {-0.785695,-1.175876}};
static iqSample_t phPilots_2[] = {{-1.994581,0.147129}, {0.069392,-1.412510}, {1.156240,0.814316}, {-1.412510,-0.069392}, {1.410382,-0.104036}, {-1.371831,-0.343626}, {0.756601,1.194803}, {0.842446,-1.135907}, {-1.070855,-0.923726}, {-1.331544,0.476434}, {-0.814316,1.156240}, {-0.604654,1.278434}, {-0.923726,1.070855}, {-1.398907,0.207508}, {-0.756601,-1.194803}, {1.213011,-0.727051}, {0.104036,1.410382}, {-0.949728,-1.047863}, {1.156240,0.814316}, {-0.949728,-1.047863}, {-0.628084,1.267088}, {0.104036,1.410382}, {1.213011,-0.727051}, {-0.756601,-1.194803}, {-1.398907,0.207508}, {-0.923726,1.070855}, {-0.604654,1.278434}, {-0.930279,-1.065167}, {-0.814316,1.156240}, {-1.331544,0.476434}, {-1.365274,-0.368819}, {-1.070855,-0.923726}, {0.842446,-1.135907}, {0.756601,1.194803}, {-1.371831,-0.343626}, {1.410382,-0.104036}, {-1.412510,-0.069392}, {1.635170,1.151616}};
static iqSample_t phPilots_3[] = {{0.244821,-1.984959}, {0.241777,1.393393}, {0.173115,-1.403578}, {-1.194803,0.756601}, {0.870069,1.114890}, {1.393393,-0.241777}, {1.114890,-0.870069}, {1.194803,-0.756601}, {1.403578,0.173115}, {0.241777,1.393393}, {-1.403578,-0.173115}, {1.194803,-0.756601}, {-1.114890,0.870069}, {1.393393,-0.241777}, {-0.870069,-1.114890}, {-1.194803,0.756601}, {-0.173115,1.403578}, {0.241777,1.393393}, {-0.173115,1.403578}, {-1.194803,0.756601}, {-0.628084,1.267088}, {-0.870069,-1.114890}, {1.393393,-0.241777}, {-1.114890,0.870069}, {1.194803,-0.756601}, {-1.403578,-0.173115}, {-0.930279,-1.065167}, {0.241777,1.393393}, {1.403578,0.173115}, {1.194803,-0.756601}, {-1.365274,-0.368819}, {1.114890,-0.870069}, {1.393393,-0.241777}, {0.870069,1.114890}, {-1.194803,0.756601}, {0.173115,-1.403578}, {0.241777,1.393393}, {0.244821,-1.984959}};
static iqSample_t phPilots_4[] = {{-1.278434,0.604654}, {1.413788,-0.034707}, {-0.604654,-1.278434}, {-1.403578,0.173115}, {-1.135907,0.842446}, {-1.292888,0.573098}, {-1.213011,-0.727051}, {0.870069,-1.114890}, {0.069392,1.412510}, {-0.034707,-1.413788}, {-0.949728,1.047863}, {1.114890,0.870069}, {1.371831,-0.343626}, {1.292888,-0.573098}, {1.398907,0.207508}, {0.173115,1.403578}, {-1.331544,-0.476434}, {1.413788,-0.034707}, {-1.331544,-0.476434}, {0.173115,1.403578}, {-0.628084,1.267088}, {1.398907,0.207508}, {1.292888,-0.573098}, {1.371831,-0.343626}, {1.114890,0.870069}, {-0.949728,1.047863}, {-0.930279,-1.065167}, {-0.034707,-1.413788}, {0.069392,1.412510}, {0.870069,-1.114890}, {-1.365274,-0.368819}, {-1.213011,-0.727051}, {-1.292888,0.573098}, {-1.135907,0.842446}, {-1.403578,0.173115}, {-0.604654,-1.278434}, {1.413788,-0.034707}};
static iqSample_t phPilots_5[] = {{-0.765367,-1.847759}, {0.207508,1.398907}, {1.175876,-0.785695}, {-0.207508,-1.398907}, {-0.541196,-1.306563}, {0.343626,-1.371831}, {1.387040,0.275899}, {-1.213011,0.727051}, {1.306563,-0.541196}, {-1.135907,-0.842446}, {-1.175876,0.785695}, {-0.842446,1.135907}, {-1.306563,0.541196}, {-0.727051,-1.213011}, {1.387040,0.275899}, {-1.371831,-0.343626}, {0.541196,1.306563}, {1.398907,-0.207508}, {1.175876,-0.785695}, {1.398907,-0.207508}, {-0.628084,1.267088}, {0.541196,1.306563}, {-1.371831,-0.343626}, {1.387040,0.275899}, {-0.727051,-1.213011}, {-1.306563,0.541196}, {-0.842446,1.135907}, {-0.930279,-1.065167}, {-1.175876,0.785695}, {-1.135907,-0.842446}, {-1.365274,-0.368819}, {1.306563,-0.541196}, {-1.213011,0.727051}, {1.387040,0.275899}, {0.343626,-1.371831}, {-0.541196,-1.306563}, {-0.207508,-1.398907}, {1.662939,-1.111140}};
static iqSample_t phPilots_6[] = {{1.151616,-1.635170}, {-0.897168,-1.093202}, {-1.156240,-0.814316}, {-0.275899,-1.387040}, {1.413788,0.034707}, {-1.353318,0.410525}, {1.292888,0.573098}, {0.785695,-1.175876}, {0.309856,-1.379851}, {1.093202,-0.897168}, {0.756601,1.194803}, {-1.175876,-0.785695}, {0.508968,1.319451}, {1.353318,-0.410525}, {1.024240,-0.975158}, {1.387040,-0.275899}, {0.241777,1.393393}, {-0.897168,-1.093202}, {0.241777,1.393393}, {1.387040,-0.275899}, {-0.628084,1.267088}, {1.024240,-0.975158}, {1.353318,-0.410525}, {0.508968,1.319451}, {-1.175876,-0.785695}, {0.756601,1.194803}, {-0.930279,-1.065167}, {1.093202,-0.897168}, {0.309856,-1.379851}, {0.785695,-1.175876}, {-1.365274,-0.368819}, {1.292888,0.573098}, {-1.353318,0.410525}, {1.413788,0.034707}, {-0.275899,-1.387040}, {-1.156240,-0.814316}, {-0.897168,-1.093202}, {1.151616,-1.635170}};
static iqSample_t phPilots_7[] = {{-0.241777,-1.393393}, {-0.975158,-1.024240}, {-0.241777,-1.393393}, {1.413788,0.034707}, {-1.393393,0.241777}, {0.975158,1.024240}, {1.393393,-0.241777}, {1.413788,0.034707}, {0.241777,1.393393}, {-0.975158,-1.024240}, {0.241777,1.393393}, {1.413788,0.034707}, {1.393393,-0.241777}, {0.975158,1.024240}, {-1.393393,0.241777}, {1.413788,0.034707}, {-0.241777,-1.393393}, {-0.975158,-1.024240}, {-0.241777,-1.393393}, {1.413788,0.034707}, {-0.628084,1.267088}, {-1.393393,0.241777}, {0.975158,1.024240}, {1.393393,-0.241777}, {1.413788,0.034707}, {0.241777,1.393393}, {-0.930279,-1.065167}, {-0.975158,-1.024240}, {0.241777,1.393393}, {1.413788,0.034707}, {-1.365274,-0.368819}, {1.393393,-0.241777}, {0.975158,1.024240}, {-1.393393,0.241777}, {1.413788,0.034707}, {-0.241777,-1.393393}, {-0.975158,-1.024240}};
static iqSample_t phPilots_8[] = {{-0.765367,-1.847759}, {-1.413788,0.034707}, {-1.407404,-0.138617}, {-0.034707,-1.413788}, {0.541196,1.306563}, {0.756601,-1.194803}, {-0.410525,-1.353318}, {0.241777,-1.393393}, {1.306563,0.541196}, {-1.319451,-0.508968}, {-0.138617,1.407404}, {0.573098,1.292888}, {-0.541196,1.306563}, {-0.814316,-1.156240}, {0.410525,1.353318}, {1.379851,-0.309856}, {1.306563,-0.541196}, {1.024240,0.975158}, {-1.407404,-0.138617}, {1.024240,0.975158}, {-0.628084,1.267088}, {1.306563,-0.541196}, {1.379851,-0.309856}, {0.410525,1.353318}, {-0.814316,-1.156240}, {-0.541196,1.306563}, {0.573098,1.292888}, {-0.930279,-1.065167}, {-0.138617,1.407404}, {-1.319451,-0.508968}, {-1.365274,-0.368819}, {1.306563,0.541196}, {0.241777,-1.393393}, {-0.410525,-1.353318}, {0.756601,-1.194803}, {0.541196,1.306563}, {-0.034707,-1.413788}, {-1.990369,-0.196034}};
static iqSample_t phPilots_9[] = {{1.481902,1.343118}, {0.000000,1.414214}, {-1.047863,-0.949728}, {0.275899,1.387040}, {1.331544,0.476434}, {1.000000,1.000000}, {-1.278434,0.604654}, {1.387040,-0.275899}, {-0.069392,-1.412510}, {-0.000000,-1.414214}, {1.412510,-0.069392}, {-1.387040,0.275899}, {0.604654,1.278434}, {1.000000,1.000000}, {-0.476434,1.331544}, {-0.275899,-1.387040}, {-0.949728,1.047863}, {0.000000,1.414214}, {-0.949728,1.047863}, {-0.275899,-1.387040}, {-0.628084,1.267088}, {-0.476434,1.331544}, {1.000000,1.000000}, {0.604654,1.278434}, {-1.387040,0.275899}, {1.412510,-0.069392}, {-0.930279,-1.065167}, {-0.000000,-1.414214}, {-0.069392,-1.412510}, {1.387040,-0.275899}, {-1.365274,-0.368819}, {-1.278434,0.604654}, {1.000000,1.000000}, {1.331544,0.476434}, {0.275899,1.387040}, {-1.047863,-0.949728}, {0.000000,1.414214}, {1.481902,1.343118}};
static iqSample_t phPilots_10[] = {{0.697063,1.230489}, {-1.213011,0.727051}, {1.230489,-0.697063}, {-0.604654,-1.278434}, {-0.443613,-1.342836}, {1.398907,-0.207508}, {-1.410382,-0.104036}, {-0.476434,1.331544}, {-0.870069,1.114890}, {-0.727051,-1.213011}, {0.173115,1.403578}, {1.331544,0.476434}, {0.923726,1.070855}, {-1.398907,0.207508}, {1.263210,0.635846}, {1.278434,-0.604654}, {1.362985,0.377189}, {-1.213011,0.727051}, {1.362985,0.377189}, {1.278434,-0.604654}, {-0.628084,1.267088}, {1.263210,0.635846}, {-1.398907,0.207508}, {0.923726,1.070855}, {1.331544,0.476434}, {0.173115,1.403578}, {-0.930279,-1.065167}, {-0.727051,-1.213011}, {-0.870069,1.114890}, {-0.476434,1.331544}, {-1.365274,-0.368819}, {-1.410382,-0.104036}, {1.398907,-0.207508}, {-0.443613,-1.342836}, {-0.604654,-1.278434}, {1.230489,-0.697063}, {-1.213011,0.727051}};
static iqSample_t phPilots_11[] = {{-1.970555,0.341924}, {-1.342836,-0.443613}, {1.194803,-0.756601}, {-1.342836,-0.443613}, {-1.393393,0.241777}, {-0.635846,-1.263210}, {0.756601,1.194803}, {1.263210,-0.635846}, {1.393393,-0.241777}, {-0.443613,1.342836}, {1.194803,-0.756601}, {0.443613,-1.342836}, {1.393393,-0.241777}, {-1.263210,0.635846}, {0.756601,1.194803}, {0.635846,1.263210}, {-1.393393,0.241777}, {1.342836,0.443613}, {1.194803,-0.756601}, {1.342836,0.443613}, {-0.628084,1.267088}, {-1.393393,0.241777}, {0.635846,1.263210}, {0.756601,1.194803}, {-1.263210,0.635846}, {1.393393,-0.241777}, {0.443613,-1.342836}, {-0.930279,-1.065167}, {1.194803,-0.756601}, {-0.443613,1.342836}, {-1.365274,-0.368819}, {1.393393,-0.241777}, {1.263210,-0.635846}, {0.756601,1.194803}, {-0.635846,-1.263210}, {-1.393393,0.241777}, {-1.342836,-0.443613}, {1.689707,-1.069995}};
static iqSample_t phPilots_12[] = {{-1.786449,-0.899223}, {1.353318,0.410525}, {0.635846,-1.263210}, {1.175876,-0.785695}, {-0.377189,1.362985}, {1.407404,-0.138617}, {1.403578,-0.173115}, {-0.275899,1.387040}, {1.070855,-0.923726}, {0.410525,-1.353318}, {1.410382,0.104036}, {-1.387040,-0.275899}, {-0.870069,1.114890}, {-1.407404,0.138617}, {1.230489,-0.697063}, {-0.785695,-1.175876}, {-0.443613,-1.342836}, {1.353318,0.410525}, {-0.443613,-1.342836}, {-0.785695,-1.175876}, {-0.628084,1.267088}, {1.230489,-0.697063}, {-1.407404,0.138617}, {-0.870069,1.114890}, {-1.387040,-0.275899}, {1.410382,0.104036}, {-0.930279,-1.065167}, {0.410525,-1.353318}, {1.070855,-0.923726}, {-0.275899,1.387040}, {-1.365274,-0.368819}, {1.403578,-0.173115}, {1.407404,-0.138617}, {-0.377189,1.362985}, {1.175876,-0.785695}, {0.635846,-1.263210}, {1.353318,0.410525}, {-1.786449,-0.899223}};
static iqSample_t phPilots_13[] = {{1.000000,-1.000000}, {-1.371831,0.343626}, {-1.000000,1.000000}, {-1.047863,-0.949728}, {0.541196,1.306563}, {1.213011,0.727051}, {-0.541196,1.306563}, {0.949728,-1.047863}, {-0.000000,-1.414214}, {1.371831,-0.343626}, {-1.414214,0.000000}, {-0.949728,1.047863}, {-1.306563,-0.541196}, {1.213011,0.727051}, {1.306563,-0.541196}, {1.047863,0.949728}, {-1.000000,-1.000000}, {-1.371831,0.343626}, {-1.000000,-1.000000}, {1.047863,0.949728}, {-0.628084,1.267088}, {1.306563,-0.541196}, {1.213011,0.727051}, {-1.306563,-0.541196}, {-0.949728,1.047863}, {-1.414214,0.000000}, {-0.930279,-1.065167}, {1.371831,-0.343626}, {-0.000000,-1.414214}, {0.949728,-1.047863}, {-1.365274,-0.368819}, {-0.541196,1.306563}, {1.213011,0.727051}, {0.541196,1.306563}, {-1.047863,-0.949728}, {-1.000000,1.000000}, {-1.371831,0.343626}};
static iqSample_t phPilots_14[] = {{1.606415,1.191399}, {-1.342836,0.443613}, {0.842446,1.135907}, {0.443613,1.342836}, {-1.135907,-0.842446}, {-0.870069,1.114890}, {-1.371831,0.343626}, {1.230489,-0.697063}, {-0.207508,-1.398907}, {1.070855,-0.923726}, {-1.135907,0.842446}, {-0.104036,1.410382}, {-1.398907,0.207508}, {1.362985,0.377189}, {1.371831,-0.343626}, {0.173115,1.403578}, {0.842446,-1.135907}, {0.635846,-1.263210}, {0.842446,1.135907}, {0.635846,-1.263210}, {-0.628084,1.267088}, {0.842446,-1.135907}, {0.173115,1.403578}, {1.371831,-0.343626}, {1.362985,0.377189}, {-1.398907,0.207508}, {-0.104036,1.410382}, {-0.930279,-1.065167}, {-1.135907,0.842446}, {1.070855,-0.923726}, {-1.365274,-0.368819}, {-0.207508,-1.398907}, {1.230489,-0.697063}, {-1.371831,0.343626}, {-0.870069,1.114890}, {-1.135907,-0.842446}, {0.443613,1.342836}, {1.191399,1.606415}};

Int8_t* NAVDAT_Pilots_idx[] = {idxPilots_0, idxPilots_1, idxPilots_2, idxPilots_3, idxPilots_4, idxPilots_5, idxPilots_6, idxPilots_7, idxPilots_8, idxPilots_9, idxPilots_10, idxPilots_11, idxPilots_12, idxPilots_13, idxPilots_14};
Size_t NAVDAT_Pilots_idxCount[] = {53, 37, 38, 38, 37, 38, 38, 37, 38, 38, 37, 38, 38, 37, 38};

Int8_t* NAVDAT_MIS_idx[] = {0, 0, idxMIS_2, idxMIS_3, idxMIS_4, idxMIS_5, idxMIS_6, idxMIS_7, idxMIS_8, idxMIS_9, idxMIS_10, idxMIS_11, idxMIS_12, idxMIS_13, 0};
Size_t NAVDAT_MIS_idxCount[] = {0, 0, 5, 5, 5, 5, 6, 6, 6, 6, 6, 5, 5, 5, 0};

Int8_t* NAVDAT_TIS_idx[] = {idxTIS_0, idxTIS_1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
Size_t NAVDAT_TIS_idxCount[] = {154, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};

Int8_t* NAVDAT_DS_idx[] = {0, 0, idxDS_2, idxDS_3, idxDS_4, idxDS_5, idxDS_6, idxDS_7, idxDS_8, idxDS_9, idxDS_10, idxDS_11, idxDS_12, idxDS_13, idxDS_14};
Size_t NAVDAT_DS_idxCount[] = {0, 0, 164, 164, 165, 164, 163, 164, 163, 163, 164, 164, 164, 165, 169};

iqSample_t* NAVDAT_Pilots_ph[] = {phPilots_0, phPilots_1, phPilots_2, phPilots_3, phPilots_4, phPilots_5, phPilots_6, phPilots_7, phPilots_8, phPilots_9, phPilots_10, phPilots_11, phPilots_12, phPilots_13, phPilots_14};
Size_t NAVDAT_Pilots_phCount[] = {53, 37, 38, 38, 37, 38, 38, 37, 38, 38, 37, 38, 38, 37, 38};

